<script setup>
import { ref, unref, toRaw, reactive, onMounted } from "vue";
import { useGameStore } from "../stores/game";

const game = useGameStore()
const turn = ref(0)

let previous
let current

function turnCard(code){
  const faze = unref(turn) % 2

  previous = current
  current = toRaw(game.country(code))
  if (current.status != 'hide') {
    return
  }

  if (faze == 0){ // otacim prvni kartu
    game.hideAllShowFlags()
    game.showFlag(code)
  } else if (faze == 1) {
    game.showFlag(code)
    if (current.borders.includes(previous.code)) {
      game.setOwener(game.playerOnTurn, current.code, previous.code)
    } else {
      game.nextPlayer()
    }
  }
  turn.value++
}
</script>

<template>
  <div class="container">
    <div class="row">
      <div class="col-sm-2" 
        v-for="country in game.countries" 
        :key="country.code"
        @click="turnCard(country.code)">
        <img v-if="country.status == 'show'" :src="country.flag" class="flag">
        <!--span v-if="country.status == 'show'"> {{ country.name }}</span-->
        <img v-else-if="country.status == 'hide'" src="https://upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Flag_of_Europe.svg/1200px-Flag_of_Europe.svg.png?20081021155534" class="flag">
      </div>
    </div>
  </div>
</template>

<style scoped>
.flag {
  width: 100px;
  height: 80px;
  border: 1px solid black;
  margin: 10px;
}
</style>
